<script setup>
import { child } from '~/store/child';

const handleNavLeftClick = () => {
  router.back()
  // router.replace('/stxk/jz')
}


const router = useRouter()
function handleClickCard(item) {
  console.log(item)
  router.push(`/stxk/jz/wd/kcxq/${item.kk_id}`)
}
</script>

<template>

  <van-sticky>
    <van-nav-bar title="我的社团课程" left-arrow @click-left="handleNavLeftClick">
    </van-nav-bar>
  </van-sticky>

  <remote-list url="/khfw/kcbmxx/index" :d="{ token: child.token, kkbm_s_user_id: child.user_id }">
    <template #default="{ row: item }">
      <van-card :price="item.khfw_kcgl.kk_kcfy" :desc="`讲师：`" :title="item.kk_name" :thumb="item.khfw_kcgl.kk_img"
        @click="handleClickCard(item)">
        <template #num>
          <van-tag type="primary">已报名</van-tag>
        </template>
      </van-card>
    </template>
  </remote-list>
</template>
